Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | List of all members
GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager Class Reference

This class is used to help with the searching and creation of BioRadioDevice objects More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager:

## Public Member Functions

| BioRadioDeviceManager (ITransportProvider transportProvider)
| Constructor which tasks a bluetooth transport provider More...
override BioRadioDevice | GetBluetoothDevice (long macID)
| Attempt to connect to a BioRadio device using BlueTooth More...
BluetoothDeviceInfo [] | DiscoverBluetoothDevices ()
| Performs a search for devices in the vicinity. More...
VirtualDeviceAdapter | CreateVirtualDevice (string fileName)
| Creates a virtual device wrapper to allow reading data from a file recorded by the BioRadio to its internal memory. More...
void | Dispose ()
| Dispose method. More...
Public Member Functions inherited from GLNeuroTech.Devices.Common.DeviceManager< BioRadioDevice >
T | GetBluetoothDevice (string deviceId)
| Retrieves a reference to a T device based on a bluetooth connection. Use of this method requires a bluetooth radio installed on the host PC. More...
virtual T | GetDeviceByComPort (string comPort)
| Returns a device based on a predetermined serial COM port name. More...
virtual T | GetDeviceByTcpAddress (string hostname, int port)
| Returns the device connected at the specified hostname and port More...
VirtualDeviceAdapter | CreateVirtualDevice (Stream inputStream)
| Creates a virtual device with a file as a backing store. More...

## Detailed Description

This class is used to help with the searching and creation of BioRadioDevice objects

## Constructor & Destructor Documentation

## ◆ BioRadioDeviceManager()

GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager.BioRadioDeviceManager | ( | ITransportProvider | transportProvider | ) |

Constructor which tasks a bluetooth transport provider

Parameters

  transportProvider |

## Member Function Documentation

## ◆ CreateVirtualDevice()

VirtualDeviceAdapter GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager.CreateVirtualDevice | ( | string | fileName | ) |

Creates a virtual device wrapper to allow reading data from a file recorded by the BioRadio to its internal memory.

Parameters

  fileName | The full path to the file to be read

Returns
  An adapter that can be used to parse the file and extract data.

The VirtualDeviceAdapter is a lightweight wrapper around the actual device instance, which allows a user to "feed" data in from the file and make it available on the device Signal instances. Typically, one will create an instance of VirtualDeviceAdapter and use it to loop through the data contained in the file until the end of the file is reached.

This example shows the basics of creating a VirtualDeviceAdapter instance and reading data from a file.

</example>

## ◆ DiscoverBluetoothDevices()

BluetoothDeviceInfo [] GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager.DiscoverBluetoothDevices | ( |  | ) |

Performs a search for devices in the vicinity.

Returns
  An array of BluetoothDeviceInfo objects that contain information about the discovered devices.

## ◆ Dispose()

void GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager.Dispose | ( |  | ) |

Dispose method.

## ◆ GetBluetoothDevice()

override BioRadioDevice GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager.GetBluetoothDevice | ( | long | macID | ) |

virtual

Attempt to connect to a BioRadio device using BlueTooth

Parameters

  macID | The mac ID of the device

Returns
  A BioRadioDevice object that represents the connected device.

Reimplemented from GLNeuroTech.Devices.Common.DeviceManager< BioRadioDevice >.